summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2010-05-13 00:57:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:49 +0200
commit565296266302ff13180fd5c1631a7e1471b3ef2e (patch)
tree9bf97369446ac3fee3ba1ea28b50955afb5168fd /development
parent3a5675a9cf01cb6cb88d1d966062159d88a79a84 (diff)
downloadslackbuilds-565296266302ff13180fd5c1631a7e1471b3ef2e.tar.gz
slackbuilds-565296266302ff13180fd5c1631a7e1471b3ef2e.tar.xz
development/avr8-burn-o-mat: Added to 13.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/avr8-burn-o-mat/README15
-rw-r--r--development/avr8-burn-o-mat/avr8-burn-o-mat.SlackBuild71
-rw-r--r--development/avr8-burn-o-mat/avr8-burn-o-mat.info10
-rw-r--r--development/avr8-burn-o-mat/doinst.sh3
-rw-r--r--development/avr8-burn-o-mat/slack-desc19
5 files changed, 118 insertions, 0 deletions
diff --git a/development/avr8-burn-o-mat/README b/development/avr8-burn-o-mat/README
new file mode 100644
index 0000000000..f706051b3c
--- /dev/null
+++ b/development/avr8-burn-o-mat/README
@@ -0,0 +1,15 @@
+AVR8 Burn-O-Mat is a cross-platform GUI for avrdude written in Java.
+It simplifies programing and configuration of AVR microcontrollers
+with easy to use dialogs.
+
+From author's homepage:
+To burn Atmel microcontrollers with Linux you may use avrdude like I do.
+But sometimes you may wish a more comfortable way to do this without
+knowing hundreds of command line options and without the need of a
+calculator to calculate the hex codes for the fuses. Thats why I decided
+to write a graphical user interface that make it easy to read and write
+fuses, EEPROM and program memory.
+
+Dependencies: avrdude (available at SBo), Java SE Runtime Environment
+(already in Slackware). These dependencies are required to use the
+application and not for creating the package.
diff --git a/development/avr8-burn-o-mat/avr8-burn-o-mat.SlackBuild b/development/avr8-burn-o-mat/avr8-burn-o-mat.SlackBuild
new file mode 100644
index 0000000000..84d04b8055
--- /dev/null
+++ b/development/avr8-burn-o-mat/avr8-burn-o-mat.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for AVR8 Burn-O-Mat
+
+# Written by Andrzej Telszewski <atelszewski@gmail.com>
+
+PRGNAM="avr8-burn-o-mat"
+SRCNAM="AVR8_Burn-O-Mat"
+VERSION=${VERSION:-2.1.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${SRCNAM}_$(echo $VERSION | tr '.' '_')_src.tar.bz2
+mv $(echo $SRCNAM | tr '_' '-' ) $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share/{avr8-burn-o-mat,applications,pixmaps}
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a dist/lib $PKG/usr/share/avr8-burn-o-mat
+cp -a dist/AVR8_Burn_O_Mat.jar $PKG/usr/share/avr8-burn-o-mat
+cp -a AVR8_Burn_O_Mat_Config.xml $PKG/usr/share/avr8-burn-o-mat
+cp -a AVR8_Burn-O-Mat.png $PKG/usr/share/avr8-burn-o-mat
+cp -a icon/AVR8_Burn-O-Mat_Icon_16.png $PKG/usr/share/avr8-burn-o-mat
+cp -a "Installer Debian/avr8-burn-o-mat" $PKG/usr/bin
+cp -a icon/AVR8_Burn-O-Mat_Icon_48.png $PKG/usr/share/pixmaps/avr8-burn-o-mat.png
+cp -a "Installer Debian/avr8-burn-o-mat.desktop" $PKG/usr/share/applications
+sed -i 's/'REPLACE_PROG_VERSION'/'$VERSION'/g' $PKG/usr/share/applications/avr8-burn-o-mat.desktop
+
+cp -a \
+ TODO.txt \
+ license_gpl-3.0.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/avr8-burn-o-mat/avr8-burn-o-mat.info b/development/avr8-burn-o-mat/avr8-burn-o-mat.info
new file mode 100644
index 0000000000..51df92f68a
--- /dev/null
+++ b/development/avr8-burn-o-mat/avr8-burn-o-mat.info
@@ -0,0 +1,10 @@
+PRGNAM="avr8-burn-o-mat"
+VERSION="2.1.2"
+HOMEPAGE="http://avr8-burn-o-mat.aaabbb.de/"
+DOWNLOAD="http://avr8-burn-o-mat.aaabbb.de/AVR8_Burn-O-Mat_2_1_2_src.tar.bz2"
+MD5SUM="2ad3b6a8d3d233579dc03308cab69b92"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
+APPROVED="dsomero"
diff --git a/development/avr8-burn-o-mat/doinst.sh b/development/avr8-burn-o-mat/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/avr8-burn-o-mat/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/avr8-burn-o-mat/slack-desc b/development/avr8-burn-o-mat/slack-desc
new file mode 100644
index 0000000000..1e4b7c3f68
--- /dev/null
+++ b/development/avr8-burn-o-mat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+avr8-burn-o-mat: avr8-burn-o-mat (GUI for avrdude)
+avr8-burn-o-mat:
+avr8-burn-o-mat: AVR8 Burn-O-Mat is a cross-platform GUI for avrdude written in Java.
+avr8-burn-o-mat: It simplifies programing and configuration of AVR microcontrollers
+avr8-burn-o-mat: with easy to use dialogs.
+avr8-burn-o-mat:
+avr8-burn-o-mat:
+avr8-burn-o-mat:
+avr8-burn-o-mat:
+avr8-burn-o-mat: Homepage: http://avr8-burn-o-mat.aaabbb.de/
+avr8-burn-o-mat: